org.jfree.base.config

## Class PropertyFileConfiguration

- java.lang.Object
- - org.jfree.base.config.HierarchicalConfiguration
  - - org.jfree.base.config.PropertyFileConfiguration

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ModifiableConfiguration, Configuration, PublicCloneable
  Direct Known Subclasses:
    PackageManager.PackageConfiguration

      public class PropertyFileConfiguration
      extends HierarchicalConfiguration

  A report configuration that reads its values from an arbitary property file.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyFileConfiguration()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load(java.io.InputStream in)` Loads the properties stored in the given file.
    `void` | `load(java.lang.String resourceName)` Load the properties in the given file.
    `void` | `load(java.lang.String resourceName, java.lang.Class resourceSource)` Loads the properties stored in the given file.

    - ### Methods inherited from class org.jfree.base.config.HierarchicalConfiguration

      `clone, configurationLoaded, findPropertyKeys, getConfigProperties, getConfigProperty, getConfigProperty, getConfiguration, getParentConfig, insertConfiguration, isLocallyDefined, isParentSaved, setConfigProperty, setParentConfig`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyFileConfiguration

          public PropertyFileConfiguration()

      Default constructor.

  - ### Method Detail

    - #### load

          public void load(java.lang.String resourceName)

      Load the properties in the given file.
      Parameters:
        `resourceName` - the file name.

    - #### load

          public void load(java.lang.String resourceName,
                           java.lang.Class resourceSource)

      Loads the properties stored in the given file. This method does nothing if the file does not exist or is unreadable. Appends the contents of the loaded properties to the already stored contents.
      Parameters:
        `resourceName` - the file name of the stored properties.
        `resourceSource` - ?

    - #### load

          public void load(java.io.InputStream in)

      Loads the properties stored in the given file. This method does nothing if the file does not exist or is unreadable. Appends the contents of the loaded properties to the already stored contents.
      Parameters:
        `in` - the input stream used to read the properties.